libzypp 17.37.10

zypp::ResPoolProxy::ScopedSaveState::Impl Struct Reference

## Public Member Functions
| Impl (const ResPoolProxy &pool_r)
| Impl (const ResPoolProxy &pool_r, const ResKind &kind_r)
void | saveState ()
void | restoreState ()

## Public Attributes
ResPoolProxy | _pool
scoped_ptr< ResKind > | _kind

## Detailed Description

Definition at line 283 of file ResPoolProxy.h.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::ResPoolProxy::ScopedSaveState::Impl::Impl | ( | const ResPoolProxy & | pool_r | ) |
| inline

Definition at line 285 of file ResPoolProxy.h.

## ◆ Impl() [2/2]

zypp::ResPoolProxy::ScopedSaveState::Impl::Impl | ( | const ResPoolProxy & | pool_r,
|  | const ResKind & | kind_r )
| inline

Definition at line 288 of file ResPoolProxy.h.

## Member Function Documentation

## ◆ saveState()

void zypp::ResPoolProxy::ScopedSaveState::Impl::saveState | ( |  | ) |
| inline

Definition at line 291 of file ResPoolProxy.h.

## ◆ restoreState()

void zypp::ResPoolProxy::ScopedSaveState::Impl::restoreState | ( |  | ) |
| inline

Definition at line 293 of file ResPoolProxy.h.

## Member Data Documentation

## ◆ _pool

ResPoolProxy zypp::ResPoolProxy::ScopedSaveState::Impl::_pool

Definition at line 295 of file ResPoolProxy.h.

## ◆ _kind

scoped_ptr<ResKind> zypp::ResPoolProxy::ScopedSaveState::Impl::_kind

Definition at line 296 of file ResPoolProxy.h.

The documentation for this struct was generated from the following file:

- zypp/ResPoolProxy.h